<script setup lang="ts">
import axios from "axios";
import { ref, onMounted } from "vue";
import router from "../router/index";
import { useCookies } from "vue3-cookies";
const { cookies } = useCookies();


let fileSrc = ref("");
let thumbSrc = ref("");
let showEmbed = ref(true);
let showThumb = ref(true);
let error = ref();
let kitab = ref();
const backendURL = import.meta.env.VITE_BACKEND_URL;

var id = router.currentRoute.value.params.id;

onMounted(async () => {
    if (!cookies.get("authorization")) {
      router.push("/")
    }
    const response = await axios.get(`${backendURL}/user/` + id,
    {
        headers: {
            // @ts-ignore
            'authorization' : 'Bearer ' + cookies.get("authorization")
        }
    });
    console.log(response)
    // @ts-ignore
    document.getElementById("input-name")!.value = response.data.nama_lengkap;
    // @ts-ignore
    document.getElementById("input-email")!.value = response.data.email;
    // @ts-ignore
    document.getElementById("input-notelp")!.value = response.data.nomor_telepon;
    // @ts-ignore
    document.getElementById("input-role")!.value = response.data.role;
})

const sendInfoForm = async () => {
  try {
    await axios.put(`${backendURL}/user/update/` + id, 
    {
        nama_lengkap: (<HTMLInputElement>(document.getElementById("input-name")!)).value,
        email: (<HTMLInputElement>(document.getElementById("input-email")!)).value,
        nomor_telepon: (<HTMLInputElement>(document.getElementById("input-notelp")!)).value,
        role: (<HTMLInputElement>(document.getElementById("input-role")!)).value
    },
    {
        headers: {
            // @ts-ignore
            'authorization' : 'Bearer ' + cookies.get("authorization")
        }
    });
    router.push("/panel");
  } catch (err) {
    error.value = err;
    setTimeout(() => {
      error.value = null;
    }, 3000);
  }
};
</script>

<template>
  <div class="animate__animated animate__fadeIn">
    <div class="grid grid-cols-2 gap-2">
        <form
          id="info-form-corpus"
          @submit.prevent="sendInfoForm"
          class="col-span-2 px-6"
        >
          <div class="field px-6">
            <div class="col-auto">
              <p class="label-regis-login">
                Nama<span style="color: red"> *</span>
              </p>
              <input
                id="input-name"
                type="text"
                name="name"
                required
                class="input-box-form-corpus"
              />
            </div>

            <div class="col-auto">
              <p class="label-regis-login">
                Email
              </p>
              <input
                id="input-email"
                type="text"
                name="email"
                readonly
                class="input-box-form-corpus"
              />
            </div>

            <div>
              <p class="label-regis-login">No Telepon</p>
              <input
                id="input-notelp"
                type="text"
                name="nomor_telepon"
                class="input-box-form-corpus"
              />
            </div>

            <div class="col-span-1">
              <p class="label-regis-login">
                Role<span style="color: red"> *</span>
              </p>
              <select
                id="input-role"
                name="role"
                class="input-box-form-corpus"
              >
                <option value="Admin">Admin</option>
                <option value="Member">Member</option>
                <option value="Pending">Pending</option>
              </select>
            </div>
            <button class="btn-regis-login" type="submit">Simpan</button>
          </div>
        </form>
    </div>
  </div>
</template>

<style>
.input-box-form-corpus {
  color: white;
  background: #2d2e2d;
  border-radius: 10px;
  display: flex;
  min-width: 100%;
  min-height: 40px;
  color-scheme: dark;
  @apply mb-6 pl-3 pr-3;
}

.input-box-textarea-corpus {
  color: white;
  background: #2d2e2d;
  border-radius: 10px;
  display: flex;
  min-width: 100%;
  min-height: 40px;
  @apply mb-6 pl-3 pr-3 pt-2;
}

.label-box-file-corpus {
  background: #2d2e2d;
  border-radius: 15px;
  height: 59%;
}

.label-box-thumb-corpus {
  background: #2d2e2d;
  border-radius: 15px;
  height: 30%;
}

.input-box-file-corpus {
  background: #2d2e2d, transparent;
  border-radius: 10px;
  width: 100%;
  border: none;
}

.button-box-file-corpus {
  margin: 0;
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

select {
  border-right: 16px solid transparent
}
</style>
